package com.zy.bms.service;

import com.zy.bms.entity.User;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 用户表 服务类
 * </p>
 *
 * @author yangxiaokun
 * @since 2021-06-03
 */
public interface IUserService extends IService<User> {

    /**
     * 通过用户Id 查询用户拥有权限的设备组
     *
     * @param userId 用户ID
     */
    List<String> ownGroupIds(Integer userId);
}
